Bug 54394 - UCD-SNMP Dies with Disk Configuration
Summary: UCD-SNMP Dies with Disk Configuration
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ucd-snmp   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-05 17:19 UTC by Thornton Prime
Modified: 2015-03-05 01:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-17 18:51:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Thornton Prime 2001-10-05 17:19:59 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.7-10 i686; Nav)

Description of problem:
Specifying a disk directive in the config file causes a segmentation fault
on startup of snmpd.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Add 'disk /' to /etc/snmp/snmpd.local.conf
2. Start snmpd (service snmpd start)
3.
	

Actual Results:  $ snmpd -D -f
...
trace: read_config(): read_config.c, 402
read_config: /etc/snmp/snmpd.local.conf:7 Parsing: disk /
Segmentation fault

Expected Results:  No segmentation fault.

Additional info:

Comment 1 Phil Knirsch 2002-01-29 14:26:44 UTC
The latest version (4.2.3) is available via rawhide now. This should fix this
problem.

Thanks,

Read ya, Phil


Comment 2 Thornton Prime 2002-04-17 17:35:27 UTC
It's baaaaak ... I'm running Skipjack (7.2.93)

# rpm -q ucd-snmp
ucd-snmp-4.2.3-6

# grep disk /etc/snmp/snmpd.conf
disk / 		20%
disk /usr	10%
disk /var	20%
disk /home	20%
disk /tmp	10%

#snmpd -D -f
trace: ds_set_boolean(): default_store.c, 53
ds_set_boolean: Setting 1:1 = 0/False
Segmentation fault



Comment 3 Phil Knirsch 2002-04-17 18:51:42 UTC
Your version is totaly outdated!!! :-)

Seriously, rawhide has a much more current version (ucd-snmp-4.2.4-2) which
should work fine.

Please give that one a shot and please please tell me it's working for you! ;-)

Read ya, Phil

Comment 4 Thornton Prime 2002-04-20 23:58:17 UTC
Fixed. Yipeee!

Thank you!




Note You need to log in before you can comment on or make changes to this bug.